package body MSHTML.HTMLStyleElementEvents_Object is

   function onhelp
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onhelp);
   end onhelp;

   function onclick
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onclick);
   end onclick;

   function ondblclick
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_ondblclick);
   end ondblclick;

   function onkeypress
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onkeypress);
   end onkeypress;

   procedure onkeydown
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onkeydown);
   end onkeydown;

   procedure onkeyup
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onkeyup);
   end onkeyup;

   procedure onmouseout
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmouseout);
   end onmouseout;

   procedure onmouseover
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmouseover);
   end onmouseover;

   procedure onmousemove
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmousemove);
   end onmousemove;

   procedure onmousedown
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmousedown);
   end onmousedown;

   procedure onmouseup
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmouseup);
   end onmouseup;

   function onselectstart
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onselectstart);
   end onselectstart;

   procedure onfilterchange
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onfilterchange);
   end onfilterchange;

   function ondragstart
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_ondragstart);
   end ondragstart;

   function onbeforeupdate
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onbeforeupdate);
   end onbeforeupdate;

   procedure onafterupdate
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onafterupdate);
   end onafterupdate;

   function onerrorupdate
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onerrorupdate);
   end onerrorupdate;

   function onrowexit
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onrowexit);
   end onrowexit;

   procedure onrowenter
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onrowenter);
   end onrowenter;

   procedure ondatasetchanged
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_ondatasetchanged);
   end ondatasetchanged;

   procedure ondataavailable
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_ondataavailable);
   end ondataavailable;

   procedure ondatasetcomplete
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_ondatasetcomplete);
   end ondatasetcomplete;

   procedure onlosecapture
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onlosecapture);
   end onlosecapture;

   procedure onpropertychange
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onpropertychange);
   end onpropertychange;

   procedure onscroll
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onscroll);
   end onscroll;

   procedure onfocus
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onfocus);
   end onfocus;

   procedure onblur
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onblur);
   end onblur;

   procedure onresize
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onresize);
   end onresize;

   function ondrag
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_ondrag);
   end ondrag;

   procedure ondragend
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_ondragend);
   end ondragend;

   function ondragenter
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_ondragenter);
   end ondragenter;

   function ondragover
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_ondragover);
   end ondragover;

   procedure ondragleave
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_ondragleave);
   end ondragleave;

   function ondrop
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_ondrop);
   end ondrop;

   function onbeforecut
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onbeforecut);
   end onbeforecut;

   function oncut
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_oncut);
   end oncut;

   function onbeforecopy
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onbeforecopy);
   end onbeforecopy;

   function oncopy
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_oncopy);
   end oncopy;

   function onbeforepaste
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onbeforepaste);
   end onbeforepaste;

   function onpaste
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onpaste);
   end onpaste;

   function oncontextmenu
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_oncontextmenu);
   end oncontextmenu;

   procedure onrowsdelete
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onrowsdelete);
   end onrowsdelete;

   procedure onrowsinserted
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onrowsinserted);
   end onrowsinserted;

   procedure oncellchange
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_oncellchange);
   end oncellchange;

   procedure onreadystatechange
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onreadystatechange);
   end onreadystatechange;

   procedure onbeforeeditfocus
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onbeforeeditfocus);
   end onbeforeeditfocus;

   procedure onlayoutcomplete
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onlayoutcomplete);
   end onlayoutcomplete;

   procedure onpage
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onpage);
   end onpage;

   function onbeforedeactivate
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onbeforedeactivate);
   end onbeforedeactivate;

   function onbeforeactivate
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onbeforeactivate);
   end onbeforeactivate;

   procedure onmove
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmove);
   end onmove;

   function oncontrolselect
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_oncontrolselect);
   end oncontrolselect;

   function onmovestart
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onmovestart);
   end onmovestart;

   procedure onmoveend
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmoveend);
   end onmoveend;

   function onresizestart
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onresizestart);
   end onresizestart;

   procedure onresizeend
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onresizeend);
   end onresizeend;

   procedure onmouseenter
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmouseenter);
   end onmouseenter;

   procedure onmouseleave
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onmouseleave);
   end onmouseleave;

   function onmousewheel
     (This : HTMLStyleElementEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLStyleElementEvents_onmousewheel);
   end onmousewheel;

   procedure onactivate
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onactivate);
   end onactivate;

   procedure ondeactivate
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_ondeactivate);
   end ondeactivate;

   procedure onfocusin
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onfocusin);
   end onfocusin;

   procedure onfocusout
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onfocusout);
   end onfocusout;

   procedure onload
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onload);
   end onload;

   procedure onerror
     (This : HTMLStyleElementEvents_Type)
   is
   begin
      Invoke (This, HTMLStyleElementEvents_onerror);
   end onerror;

end MSHTML.HTMLStyleElementEvents_Object;

